> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1vm label



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v1/vm/{vm_id}/label
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/vm/{vm_id}/label:
    patch:
      tags:
        - vm
      operationId: label_vm
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LabelVmRequest'
        required: true
      responses:
        '200':
          description: Labels set successfully
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    LabelVmRequest:
      type: object
      properties:
        labels:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
          propertyNames:
            type: string
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````